BizKitHub
DocsAPI ReferencePost Tags/bff/post-tag/update
postPost TagsAdmin BFF

/bff/post-tag/update

Updates properties of an existing tag. Can update name, color, active status, or the internal (private) flag. Tag code cannot be changed.

Post TagspostBffPost-tagUpdate

Parameters

JSON body

Request body

application/json
idnumberRequired

Tag ID

labelstringOptional

New tag name

Length: 1200
colorstringOptional

New tag color in #RRGGBB format

activebooleanOptional

Tag status (active/inactive)

internalbooleanOptional

Mark the tag as internal (private). Internal tags are never returned from public surfaces.

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

POST /bff/post-tag/update

post
curl -X POST "https://api.bizkithub.com/bff/post-tag/update" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "id": 0,
  "label": "example_label",
  "color": "example_color",
  "active": false,
  "internal": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key